### File

`packages/eui/packages/components-next/src/lib/components/eui-message-box/services/eui-message-box.service.ts`

### Index

###### Methods
Public closeMessageBox ngOnDestroy Public openMessageBox

### Constructor

`constructor(overlay: Overlay)`
Parameters :
Name | Type | Optional
overlay | `Overlay` | No

### Methods

Public closeMessageBox
`closeMessageBox()`
Close a Message Box Returns : `void`

ngOnDestroy
`ngOnDestroy()`
Returns : `void`

Public openMessageBox
`openMessageBox(config: EuiMessageBoxInterface)`
Open a Message Box Parameters :
Name | Type | Optional | Description
config | `EuiMessageBoxInterface` | No | Configuration applied to the message box.
Returns : `void`

# result-matching ""

# No results matching ""